Zum Inhalt springen
English
Esc
↑↓navigate↵open⌘Jpreview

List the PV plans of a project

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

GET/v1/projects/{projectId}/pv-plans
Authorization
AuthorizationBearer token · headerrequired
Workspace API key (`bh_…`).
Path parameters
projectIdstringrequired
min length 1
Responses
200OK
dataobject[]required
Show properties
Array of object
idstringrequired
projectIdstringrequired
namestringrequired
buildingIdstring | anyrequired
Show properties
Any of:
string
string
any
any
originLatnumberrequired
originLngnumberrequired
originAddressstring | anyrequired
Show properties
Any of:
string
string
any
any
isFavoritebooleanrequired
summaryobject | anyrequired
Show properties
Any of:
object
object
any
any
createdAtstring<date-time>required
updatedAtstring<date-time>required
Request
curl -X GET "https://app.bauhow.com/api/v1/projects/string/pv-plans" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "data": [
    {
      "id": "string",
      "projectId": "string",
      "name": "string",
      "buildingId": "string",
      "originLat": 0,
      "originLng": 0,
      "originAddress": "string",
      "isFavorite": true,
      "summary": {},
      "createdAt": "2024-01-01T00:00:00Z",
      "updatedAt": "2024-01-01T00:00:00Z"
    }
  ]
}